/*doyolab_IoT.h - Library for doyolabIoTservice.
  Created by Daisuke DOYO, November 21, 2020.
  Released into the local domain.*/

#ifndef doyolab_IoT_h
#define doyolab_IoT_h
#include "Arduino.h"
#include <HTTPClient.h>

class doyolab_IoT{
  public:
    doyolab_IoT(String usr_key,String sub_id);
    String turn_switch();
    String switch_status();
    String send_data(String idata, String fdata,String tdata);
    String send_To_LINE(String token,String msg);
  private:
    String _usr_key;
    String _sub_id;
    String _host;
    HTTPClient http;
};

#endif
