#include <doyolab_IoT.h>
#include <WiFi.h>

//設定--------------------------------------
const char* ssid     = "";//繋げたいネットワーク
const char* password = "";//繋げたいネットワークのパスワード
String user_key="";
String sub_id="";
//-----------------------------------------

//doyolab_IoTインスタンス化-->conn1とよぶ
doyolab_IoT conn1(user_key,sub_id);

void setup() {
  // put your setup code here, to run once:
    Serial.begin(74880);//esp32は74880
    WiFi.begin(ssid, password);
    Serial.println("WiFi connecting");
    while ((!(WiFi.status() == WL_CONNECTED))){
      delay(300);
      Serial.print(".");
    }
 
}

void loop() {
  //必要に応じて変更-->センサーなどから値を取得（例では直接変数に代入）-------
  int idata=0;
  float fdata=1.5;
  String tdata="test";
  //-----------------------------
  //引数はintデータ、floatデータ、テキストデータの順番
  //intデータ、floatデータはStringに変換する
  String ret=conn1.send_data(String(idata),String(fdata),tdata);
  //必要なデータだけ送信したい場合は下記のように、不要なデータは""と空にする
  //String ret=conn1.send_data("",String(fdata),"");
  //String ret=conn1.send_data(String(idata),"",tdata);
  Serial.println(ret);
  delay(10000);
}
