#include <doyolab_IoT.h>
#include <WiFi.h>

//switch機能を利用する前に下記のURLでスイッチの登録をしてください。
//https://doyolab.net/appli/iot/to_make_switch

//設定--------------------------------------
const char* ssid     = "";//繋げたいネットワーク
const char* password = "";//繋げたいネットワークのパスワード
String user_key="";
String sub_id="";//登録したスイッチ名
//-----------------------------------------

//doyolab_IoTインスタンス化-->conn1とよぶ
doyolab_IoT conn1(user_key,sub_id);

void setup() {
  // put your setup code here, to run once:
    Serial.begin(74880);//esp32は74880
    WiFi.begin(ssid, password);
    Serial.println("WiFi connecting");
    while ((!(WiFi.status() == WL_CONNECTED))){
      delay(300);
      Serial.print(".");
    }
    
}

void loop() {
  //2秒ごとにスイッチを切り替える例
  String ret=conn1.turn_switch();//スイッチを切り替える（現在の状態（0 or 1）と逆の状態にする）
  Serial.println(ret);
  delay(2000);
}
